Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.foundation.exception
Class ConfigurationException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.beasys.commerce.foundation.exception.ApplicationException
                  com.beasys.commerce.foundation.exception.ProcessingException
                      com.beasys.commerce.foundation.exception.ConfigurationException

All Implemented Interfaces
  MessageCatalogException, Serializable

Deprecated See BEA Commerce product offering

    @Deprecated
    public class ConfigurationException

extends ProcessingException

A `ConfigurationException` signals a webflow or pipeline configuration error.

Note: Throughout this API documentation namespace refers to the resource bundle that contains the catalog of exception messages. Refer to the `MessageCatalog` API documentation for further details.

See Also
  `MessageCatalogException`, Serialized Form

Field Summary
`static String` | `MESSAGE_NAMESPACE` Deprecated See BEA Commerce product offering

Fields inherited from class com.beasys.commerce.foundation.exception.ApplicationException
`embeddedException, logMessages, userMessages`

Constructor Summary
`ConfigurationException(String messageKey)` Deprecated See BEA Commerce product offering
`ConfigurationException(String messageKey, Exception embeddedException)` Deprecated See BEA Commerce product offering
`ConfigurationException(String messageKey, Object argument)` Deprecated See BEA Commerce product offering
`ConfigurationException(String messageKey, Object[] argument)` Deprecated See BEA Commerce product offering

Method Summary

Methods inherited from class com.beasys.commerce.foundation.exception.ProcessingException
`setEmbeddedException`

Methods inherited from class com.beasys.commerce.foundation.exception.ApplicationException
`addLogMessage, addLogMessage, addLogMessage, addMessage, addMessage, addMessage, addUserMessage, addUserMessage, addUserMessage, getEmbeddedException, getLocalizedMessage, getLogMessage, getLogMessages, getMessage, getUserMessage, getUserMessages, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### MESSAGE_NAMESPACE

    public static final String MESSAGE_NAMESPACE

  Deprecated See BEA Commerce product offering
  The name of the resource bundle

  See Also
    Constants Summary

Constructor Detail

### ConfigurationException

    public ConfigurationException(String messageKey)

  Deprecated See BEA Commerce product offering

  Constructs a ConfigurationException

### ConfigurationException

    public ConfigurationException(String messageKey,
                                  Object argument)

  Deprecated See BEA Commerce product offering

  Constructs a ConfigurationException

### ConfigurationException

    public ConfigurationException(String messageKey,
                                  Object[] argument)

  Deprecated See BEA Commerce product offering

  Constructs a ConfigurationException

### ConfigurationException

    public ConfigurationException(String messageKey,
                                  Exception embeddedException)

  Deprecated See BEA Commerce product offering

  Constructs a ConfigurationException

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved